Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163609 - Handle the new Solaris partition ID
Summary: Handle the new Solaris partition ID
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: util-linux
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Karel Zak
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-07-19 14:27 UTC by Karel Zak
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2005-669
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 16:54:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:669 qe-ready SHIPPED_LIVE util-linux bug fix update 2005-10-05 04:00:00 UTC

Description Karel Zak 2005-07-19 14:27:15 UTC
FC3, FC4 and upstream use:

--- util-linux-2.12a/fdisk/i386_sys_types.c.sopwith     2004-11-12
11:12:36.118449940 -0500
+++ util-linux-2.12a/fdisk/i386_sys_types.c     2004-11-12 11:15:28.764795949 -0500
@@ -74,6 +74,7 @@
        {0xb8, N_("BSDI swap")},
        {0xbb, N_("Boot Wizard hidden")},
        {0xbe, N_("Solaris boot")},
+       {0xbf, N_("Solaris VTOC")},
        {0xc1, N_("DRDOS/sec (FAT-12)")},
        {0xc4, N_("DRDOS/sec (FAT-16 < 32M)")},
        {0xc6, N_("DRDOS/sec (FAT-16)")},


It was rejected directly before RHEL4 GA. I think we can use it now. The patch
is already in CVS by Ellliot.

Comment 6 Karel Zak 2005-09-04 22:21:37 UTC
util-linux/RHEL-4/util-linux-2.12a/fdisk$ grep 0xbf *
i386_sys_types.c:       {0xbf, N_("Solaris")},

I used same label like upstream in last versions (see FC4). It means "Solaris"
rather than "Solaris VTOC".

Comment 9 Red Hat Bugzilla 2005-10-05 16:54:14 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-669.html



Note You need to log in before you can comment on or make changes to this bug.